Skip to main content
PATCH
/
v1
/
locations
/
{location_id}
/
acceptance_settings
Update acceptance settings
curl --request PATCH \
  --url https://api.chataigne.ai/v1/locations/{location_id}/acceptance_settings \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "extra_preparation_time": 123,
  "reason": "<string>"
}
'
{
  "object": "acceptance_settings",
  "location_id": "<string>",
  "extra_preparation_time": 123,
  "reason": "<string>"
}

Authorizations

x-api-key
string
header
required

Location/organization API key.

Path Parameters

location_id
string
required

Body

application/json
mode
enum<string>
Available options:
online,
busy,
paused
extra_preparation_time
integer
reason
string

Response

The updated acceptance settings.

object
enum<string>
Available options:
acceptance_settings
location_id
string
mode
enum<string>
Available options:
online,
busy,
paused
extra_preparation_time
integer

Extra minutes added in busy mode.

reason
string | null